{% extends 'space/space.html.twig' %}

{% block title %}{% trans with {'organization': organization} %}Import users for {organization}{% endtrans %}{% endblock %}

{% block body %}
    <h1>{% trans %}Import users{% endtrans %}</h1>
    <p>{% trans %}To automatically create a number of users, you can send a CSV file with the following columns in that order: <code>email</code>, <code>username</code>, <code>displayed name</code>, <code>groups</code>. The groups column can be empty and multiple groups must be separated by commas. Specifying the <code>admin</code> group will make the user an administrator on the space (but not here). The columns must be separated by semicolons.{% endtrans %}</p>
    <p>{% trans %}The data in your file needs to respect the following constraints:{% endtrans %}</p>
    <ul>
        <li>{% trans %}The email needs to be valid (containing the <code>@</code> character){% endtrans %}</li>
        <li>{% trans %}The username needs to contain only alphanumeric characters (accents are not allowed) and the following characters: <code>_</code>, <code>@</code>, <code>-</code>{% endtrans %}</li>
    </ul>

    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th><i>{% trans %}email{% endtrans %}</i></th>
                <th><i>{% trans %}username{% endtrans %}</i></th>
                <th><i>{% trans %}displayed name{% endtrans %}</i></th>
                <th><i>{% trans %}groups{% endtrans %}</i></th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>
                    zagreus@olymp.us
                </td>
                <td>
                    zagreus
                </td>
                <td>
                    Zagrée Perséphone-Hadès
                </td>
                <td>
                    enfers,princes
                </td>
            </tr>
            <tr>
                <td>…</td>
                <td>…</td>
                <td>…</td>
                <td>…</td>
            </tr>
            </tbody>
        </table>
    </div>

    <p>{% trans with {'link': asset('import.csv') } %}You can find an example of such a file here: <a href="{link}" download>example.csv</a>, that you can edit and upload.{% endtrans %}</p>
    {{ form(form) }}
    <a href="{{ path('view_space') }}">{% trans %}Back to space overview{% endtrans %}</a>
{% endblock %}